Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 430322 - update grep to 2.5.3 and provide a default for GREP_COLORS
update grep to 2.5.3 and provide a default for GREP_COLORS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-25 21:43 EST by dann
Modified: 2010-06-08 06:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 06:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dann 2008-01-25 21:43:54 EST
Please update grep to version 2.5.3.
One of the most notable features that it has is the new GREP_COLORS options that
allows one to to more coloring of the output: it can color the file name, line
number, context, and of course the match itself. The current version 2.5.1 can
only color the match.

When used on a 256 color terminal (all the terminal emulators nowadays) it can
provide very nicely looking output.

Here's an example setting for GREP_COLORS for a 256 color terminal:
GREP_COLORS='mt=01;31:ml=36:cx=38;5;248:fn=35:ln=32:bn=32:se=38;5;250'
Comment 1 Ronald Wahl 2008-02-08 18:23:19 EST
I have to second the upgrade request:

I regulary work with large SVN (subversion) checkouts. In contrast to CVS SVN
holds a copy of each file in a .svn folder. Now if you use grep to find
something all hits are reported twice because it matches the real file and its
copy. The new grep introduces the exclude-dir option so that .svn can be
excluded. The already present --exclude option is only partially useful as not
all files below .svn can be excluded by a specific pattern.

So I vote for an update (or at least backporting the option if 2.5.3 is unstable
 in some regard).
Comment 2 Bug Zapper 2008-11-26 04:34:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 dann 2008-12-01 12:40:04 EST
Move the bug to F10
Comment 4 dann 2009-02-12 01:43:40 EST
grep-2.5.4 has been release now...
Time to upgrade...
Comment 5 Ronald Wahl 2009-08-28 19:49:46 EDT
F11 has 2.5.3 at least. So from my side this bug can be closed. But I'm not the original reporter ...
Comment 6 dann 2009-08-28 20:16:59 EDT
(In reply to comment #5)
> F11 has 2.5.3 at least. So from my side this bug can be closed. But I'm not the
> original reporter ...  

The bug has 2 parts: 
1. upgrade to a newer grep.  That is done now.
2. provide some "interesting" default for GREP_COLORS so that it can take advantage of the ability to highlight more things available in the newer grep: 
Here's what I use now for GREP_COLORS for an terminals that can display 256 colors (about all of them nowadays, the notable exception is the linux console):

setenv   GREP_COLORS  'mt=01;31:ml=36:cx=38;5;248:fn=35:ln=32:bn=32:se=38;5;250'
Comment 7 Bug Zapper 2009-11-18 05:09:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:03:00 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 dann 2009-12-18 02:18:36 EST
Still needed in F12.
Comment 10 Jaroslav Škarvada 2010-03-30 10:12:14 EDT
grep-2.6.1-1.fc12 is in testing. Can I close this?
Comment 11 dann 2010-04-01 14:16:18 EDT
(In reply to comment #10)
> grep-2.6.1-1.fc12 is in testing. Can I close this?    

Will you also add some defaults for GREP_COLORS?

For 256 color terminals (except for the Linux console all current terminal emulators support 256 colors) it is very to make use of more colors to highlight various things that grep can (context, line numbers, etc etc).

Here's for example what I am using:

mt=01;31:ml=36:cx=38;5;248:fn=35:ln=32:bn=32:se=38;5;250

this can be a starting point for someone that has better taste in choosing colors...
Comment 12 Jaroslav Škarvada 2010-04-12 09:51:47 EDT
My opinion is that the minimal - work everywhere - setup from upstream is better choice here. Everybody has subjective taste and also there can be problems with non colour terminals. Installing custom colours is very easy thus no problem to customize. Maybe several examples could be mentioned on wiki or in documentation as starting point for experiments.
Comment 13 Jaroslav Škarvada 2010-06-08 06:00:17 EDT
grep-2.6.3 is in F12. For GREP_COLORS I would prefer upstream defaults. Thus I am going to close this. If you are not satisfied, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.